<?php

namespace Simplyin\Simplyin_W_Plugin;

class Simplyin_Logger {

	public function log_if_wpdebug_on( string $message, string $context = "" ) {
		$woo_logger = simplyin()
			->get_woocommerce_logger( $context === "" ? null : $context );

		$woo_logger->log_debug( $message );
	}

	public function enabled() {
		return in_array( get_option( 'SimplyIn_Environment', "" ),
			[ "dev", "pp", "st" ] );
	}
}
